# sqlcmd2json
The sqlcmd2jon utility lest you enter Transact-SQL statements, system procedures and script files at the command prompt or in a batch script file.The result is an array in JSON format.
This utility uses .Net Core Data Access to execute Transact-SQL batches. 

## Syntax
```
sqlcmd2json
	-U login id
	-P password
	-S server
	-d use database name
	-l login timeout
	-t query timeout
	-Q "cmdline query" and exit
	-i inputfile
	-v var = "value"...
	-? show syntax summary
```

## Getting Started

### Prerequisites

Download and install the .NET Core 2.x

### Installing
To install via bower:
```
$ bower install sqlcmd2json
```
To install via npm:
```
$ npm install sqlcmd2json
```
or download manually.

### Usage
```
$ dotnet sqlcmd2json.dll -?
```

## Authors

* **Julio Vivanco** - *Initial work* - [cesdev](https://github.com/cesdev)

## License

This project is licensed under the MIT License - see the [LICENSE](https://opensource.org/licenses/MIT) file for details
